LFR-FSW - Bug #169

En SBM1, I'arrivée d'un SWF fait planter le soft de vol.
12/06/2014 12:13 PM - bruno katra

Status: Closed Start date: 12/06/2014
Priority: Immediate Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Le test SVS-0019 plante systématiqguement le soft de vol au méme moment (compteur HK = 543).
L'analyse du test de Gérald montre que cela se passe lorsqu'on est en SBM1.

Véro et Bruno sont en train de chercher plus précisément le contexte des parametres qui provoque ce bug et sa reproductibilite.

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.1.16

Brique Star-Dundee S/N 46120065.

Soft:1.0.0.8 (variante sur carte finale)

TEST CASE : SVS-0019

History

#1 - 12/06/2014 12:23 PM - bruno katra

- Assignee changed from bruno katra to Veronique bouzid

Manips avec LPPMON directement sans passer par les scripts de Gérald :

Lancement manuel du fsw puis passage en SBM1 : le soft semble avoir planté au bout de 300 secondes = sy_Ifr_n_swf_p.

Rechargement du fsw avec un LOAD_NORMAL_PAR pour mettre sy_lfr_n_swf_p=32 puis passage en SBM1 : le soft plante env. 32 secondes aprés
le passage en SBM1.

Rechargement du fsw avec un LOAD_NORMAL_PAR pour mettre sy_lfr_n_swf_p=16 puis passage en SBM1 : le soft plante env. 16 secondes aprés
le passage en SBM1. (capture vodeo en pj)

= Il semblerait que c'est I'arrivée d'un SWF qui fait planter le soft

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série III (sans connecteurs sub-click)
Vhdl: mini-1fr_0.1.16

Brique Star-Dundee S/N 46120065.

Soft:1.0.0.8 (variante sur carte finale)

#2 - 12/06/2014 12:24 PM - bruno katra
- File FSW_failure_with_swf_sbm1.webm added

- Assignee changed from Veronique bouzid to paul leroy

#3 - 13/06/2014 03:42 PM - bruno katra
- Status changed from In Progress to Closed

- Assignee changed from paul leroy to bruno katra

Retesté en 1.0.0.9 avec script tm_sequence_counter_loop.py : Plus de plantage
+ test manuel : Lancement du fsw + mise a 16 secondes de sy_lfr_n_swf_p : Plus de plantage
Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.1.16

Brique Star-Dundee S/N 46120065.

Soft:1.0.0.9 (variante sur carte finale)

Files

FSW_failure_with_swf_sbm1.webm 863 KB 12/06/2014 bruno katra
